/*  Eside 3D library, version 5.
    Copyright (C) 2002 Iker Jamardo Zugaza <ijamardo@eside.deusto.es>

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

    This library has been slightly modified by Grzegorz Adam Hankiewicz
    <gradha@terra.es> and is therefor not exactly the original, which you
    should be able to get from Iker by email.
*/

#include "E3D_CRender.h"

CRender::CRender()
{
	typeName = "CRender";
}

CRender::~CRender()
{
}

bool CRender::setModelMode(E3D_MODE mode)
{
	model.mode = mode;
	return true;
}

bool CRender::setModelNumIndices(int ni)
{
	model.numIndices = ni;
	return true;
}

bool CRender::setModelNumVertices(int nv)
{
	model.numVertices = nv;
	return true;
}

bool CRender::setModelIndices(CIndex* indices)
{
	model.indices = indices;
	return true;
}

bool CRender::setModelPositions(float* positions)
{
	model.positions = positions;
	return true;
}

bool CRender::setModelNormals(float* normals)
{
	model.normals = normals;
	return true;
}

bool CRender::setModelUVCoords(float* uvCoords)
{
	model.uvCoords = uvCoords;
	return true;
}

bool CRender::setModelColors(float* colors)
{
	model.colors = colors;
	return true;
}
